"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("./index"));
const run = () => __awaiter(void 0, void 0, void 0, function* () {
    const outputDir = `${__dirname}/../__tests__/pptx-output`;
    const templateDir = `${__dirname}/../__tests__/pptx-templates`;
    const automizer = new index_1.default({
        templateDir,
        outputDir,
    });
    let pres = automizer
        .loadRoot(`RootTemplate.pptx`)
        .load(`EmptySlide.pptx`, 'emptySlide');
    const object = {
        position: {
            x: 500000,
            y: 500000,
            cx: 500000,
            cy: 500000,
        },
    };
    pres.addSlide('emptySlide', 1, (slide) => __awaiter(void 0, void 0, void 0, function* () {
        slide.generate((pptxGenJSSlide) => __awaiter(void 0, void 0, void 0, function* () {
            pptxGenJSSlide.addText('hello world1', {
                hyperlink: {
                    url: 'https://duckduckgo.com',
                },
                x: object.position.x,
                y: object.position.y,
                w: object.position.cx,
                h: object.position.cy,
                fontFace: 'Kanit',
            });
        }));
        slide.generate((pptxGenJSSlide) => __awaiter(void 0, void 0, void 0, function* () {
            pptxGenJSSlide.addText('hello world2', {
                hyperlink: {
                    url: 'https://duckduckgo.com',
                },
                x: object.position.x,
                y: object.position.y,
                w: object.position.cx,
                h: object.position.cy,
                fontFace: 'Kanit',
            });
        }));
        slide.generate((pptxGenJSSlide) => __awaiter(void 0, void 0, void 0, function* () {
            pptxGenJSSlide.addText('hello world3', {
                hyperlink: {
                    url: 'https://duckduckgo.com',
                },
                x: object.position.x,
                y: object.position.y,
                w: object.position.cx,
                h: object.position.cy,
                fontFace: 'Kanit',
            });
        }));
        slide.generate((pptxGenJSSlide) => __awaiter(void 0, void 0, void 0, function* () {
            pptxGenJSSlide.addText('hello world5', {
                hyperlink: {
                    url: 'https://duckduckgo.com',
                },
                x: object.position.x,
                y: object.position.y,
                w: object.position.cx,
                h: object.position.cy,
                fontFace: 'Kanit',
            });
        }));
        slide.generate((pptxGenJSSlide) => __awaiter(void 0, void 0, void 0, function* () {
            pptxGenJSSlide.addText('hello world6', {
                hyperlink: {
                    url: 'https://duckduckgo.com',
                },
                x: object.position.x,
                y: object.position.y,
                w: object.position.cx,
                h: object.position.cy,
                fontFace: 'Kanit',
            });
        }));
    }));
    pres.write(`testHyperlinks.pptx`).then((summary) => {
        console.log(summary);
    });
});
run().catch((error) => {
    console.error(error);
});
//# sourceMappingURL=dev.js.map